%global         momorel 1

Name:           perl-Net-HTTP
Version:        6.07
Release:        %{momorel}m%{?dist}
Summary:        Low-level HTTP connection (client)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-HTTP/
Source0:        http://www.cpan.org/authors/id/M/MS/MSCHILLI/Net-HTTP-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008008
BuildRequires:  perl-Compress-Raw-Zlib
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-IO-Compress
BuildRequires:  perl-IO
BuildRequires:  perl-IO-Socket-SSL >= 1.38
Requires:       perl-Compress-Raw-Zlib
Requires:       perl-IO-Compress
Requires:       perl-IO
Requires:       perl-IO-Socket-SSL >= 1.38
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Conflicts:      perl-libwww-perl < %{version}

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
The Net::HTTP class is a low-level HTTP client. An instance of the
Net::HTTP class represents a connection to an HTTP server. The HTTP
protocol is described in RFC 2616. The Net::HTTP class supports HTTP/1.0
and HTTP/1.1.

%prep
%setup -q -n Net-HTTP-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Net/HTTP.pm
%{perl_vendorlib}/Net/HTTPS.pm
%{perl_vendorlib}/Net/HTTP
%{_mandir}/man3/*

%changelog
* Sun Aug  3 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (6.07-1m)
- update to 6.07

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-5m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-4m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-3m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-2m)
- rebuild against perl-5.18.0

* Wed Mar 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (6.06-1m)
- update to 6.06

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (6.05-2m)
- rebuild against perl-5.16.3

* Sun Nov 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.05-1m)
- update to 6.05

* Fri Nov  9 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.04-1m)
- update to 6.04

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.03-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.03-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.03-2m)
- rebuild against perl-5.16.0

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (6.03-1m)
- update to 6.03

* Tue Nov 22 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.02-1m)
- update to 6.02

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.01-4m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.01-3m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.01-2m)
- rebuild against perl-5.14.0-0.2.1m

* Wed Apr 27 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.01-1m)
- update to 6.01

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (6.00-2m)
- rebuild for new GCC 4.6

* Wed Mar 09 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (6.00-1m)
- [SECURITY] CVE-2011-0633
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
